com.genesyslab.wfm7.API.service.schedule750

## Class SchNotification

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class SchNotification
      extends java.lang.Object
      implements java.io.Serializable

  Stores all schedule changes from one point of time to another.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SchAuditDay[]` | `changes` A list of `SchAuditDay` that have been modified.
    `private int` | `changesNSizeIs` Number of elements in "changes" array
    `private SchAgentDayHolder` | `schedules` `SchAgentDayHolder` contains schedule and related information
    `private long` | `timestamp` New timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchNotification()`
    `SchNotification(long timestamp, int changesNSizeIs, SchAuditDay[] changes, SchAgentDayHolder schedules)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchAuditDay[]` | `getChanges()` Gets the changes value for this SchNotification.
    `int` | `getChangesNSizeIs()` Gets the changesNSizeIs value for this SchNotification.
    `SchAgentDayHolder` | `getSchedules()` Gets the schedules value for this SchNotification.
    `long` | `getTimestamp()` Gets the timestamp value for this SchNotification.
    `void` | `setChanges(SchAuditDay[] changes)` Sets the changes value for this SchNotification.
    `void` | `setChangesNSizeIs(int changesNSizeIs)` Sets the changesNSizeIs value for this SchNotification.
    `void` | `setSchedules(SchAgentDayHolder schedules)` Sets the schedules value for this SchNotification.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchNotification.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          private long timestamp

      New timestamp value

    - #### changesNSizeIs

          private int changesNSizeIs

      Number of elements in "changes" array

    - #### changes

          private SchAuditDay[] changes

      A list of `SchAuditDay` that have been modified. It identifies all schedule agent days that have changed. Schedule details for those days can be found in SchNotification.schedules member and are uniquely identified by combination of SchAuditDay.gswAgentID + SchAuditDay.wmDate + SchAuditDay.newTimestamp (or SchAuditDay.oldTimestamp).

    - #### schedules

          private SchAgentDayHolder schedules

      `SchAgentDayHolder` contains schedule and related information

  - ### Constructor Detail

    - #### SchNotification

          public SchNotification()

    - #### SchNotification

          public SchNotification(long timestamp,
                         int changesNSizeIs,
                         SchAuditDay[] changes,
                         SchAgentDayHolder schedules)

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchNotification.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchNotification.
      Parameters:
        `timestamp` -

    - #### getChangesNSizeIs

          public int getChangesNSizeIs()

      Gets the changesNSizeIs value for this SchNotification.
      Returns:
        changesNSizeIs

    - #### setChangesNSizeIs

          public void setChangesNSizeIs(int changesNSizeIs)

      Sets the changesNSizeIs value for this SchNotification.
      Parameters:
        `changesNSizeIs` -

    - #### getChanges

          public SchAuditDay[] getChanges()

      Gets the changes value for this SchNotification.
      Returns:
        changes

    - #### setChanges

          public void setChanges(SchAuditDay[] changes)

      Sets the changes value for this SchNotification.
      Parameters:
        `changes` -

    - #### getSchedules

          public SchAgentDayHolder getSchedules()

      Gets the schedules value for this SchNotification.
      Returns:
        schedules

    - #### setSchedules

          public void setSchedules(SchAgentDayHolder schedules)

      Sets the schedules value for this SchNotification.
      Parameters:
        `schedules` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.